commit 2429edb6fde6f894f9cb4ddc5adc963a2c3898b0
Author: raveit65 <mate@raveit.de>
Date:   Thu Aug 5 09:34:13 2021 +0200

    update to 1.26.0

 NEWS         | 28 +++++++++++++++++++++++++++-
 configure.ac |  2 +-
 2 files changed, 28 insertions(+), 2 deletions(-)

commit 1001d6222a8eff95157ae7e6ff627b789a0033ff
Author: raveit65 <mate@raveit.de>
Date:   Thu Aug 5 09:27:36 2021 +0200

    tx: sync with transifex

 po/LINGUAS        |   2 +
 po/af.po          | 309 +++++++++++----------
 po/am.po          | 309 +++++++++++----------
 po/ar.po          | 310 +++++++++++----------
 po/as.po          | 309 +++++++++++----------
 po/ast.po         | 311 +++++++++++----------
 po/az.po          | 309 +++++++++++----------
 po/be.po          | 309 +++++++++++----------
 po/bg.po          | 313 +++++++++++----------
 po/bn.po          | 309 +++++++++++----------
 po/bn_IN.po       | 309 +++++++++++----------
 po/br.po          | 310 +++++++++++----------
 po/bs.po          | 309 +++++++++++----------
 po/ca.po          | 313 +++++++++++----------
 po/ca@valencia.po | 311 +++++++++++----------
 po/cmn.po         | 309 +++++++++++----------
 po/crh.po         | 309 +++++++++++----------
 po/cs.po          | 314 +++++++++++----------
 po/cy.po          | 311 +++++++++++----------
 po/da.po          | 311 +++++++++++----------
 po/de.po          | 312 +++++++++++----------
 po/dz.po          | 309 +++++++++++----------
 po/el.po          | 312 +++++++++++----------
 po/en_AU.po       | 309 +++++++++++----------
 po/en_CA.po       | 309 +++++++++++----------
 po/en_GB.po       | 311 +++++++++++----------
 po/eo.po          | 309 +++++++++++----------
 po/es.po          | 315 +++++++++++----------
 po/es_AR.po       | 305 +++++++++++----------
 po/es_CO.po       | 309 +++++++++++----------
 po/es_MX.po       | 305 +++++++++++----------
 po/et.po          | 311 +++++++++++----------
 po/eu.po          | 335 ++++++++++++-----------
 po/fa.po          | 309 +++++++++++----------
 po/fi.po          | 309 +++++++++++----------
 po/fr.po          | 330 +++++++++++-----------
 po/frp.po         | 305 +++++++++++----------
 po/fur.po         | 460 +++++++++++++++++--------------
 po/fy.po          | 305 +++++++++++----------
 po/ga.po          | 309 +++++++++++----------
 po/gl.po          | 335 ++++++++++++-----------
 po/gu.po          | 309 +++++++++++----------
 po/he.po          | 317 +++++++++++-----------
 po/hi.po          | 311 +++++++++++----------
 po/hr.po          | 311 +++++++++++----------
 po/hu.po          | 311 +++++++++++----------
 po/hy.po          | 309 +++++++++++----------
 po/ia.po          | 305 +++++++++++----------
 po/id.po          | 313 +++++++++++----------
 po/ie.po          | 310 +++++++++++----------
 po/is.po          | 309 +++++++++++----------
 po/it.po          | 314 +++++++++++----------
 po/ja.po          | 337 ++++++++++++-----------
 po/ka.po          | 309 +++++++++++----------
 po/kab.po         | 309 +++++++++++----------
 po/kk.po          | 310 +++++++++++----------
 po/kn.po          | 309 +++++++++++----------
 po/ko.po          | 331 +++++++++++-----------
 po/ku.po          | 309 +++++++++++----------
 po/ku_IQ.po       | 309 +++++++++++----------
 po/ky.po          | 309 +++++++++++----------
 po/lt.po          | 311 +++++++++++----------
 po/lv.po          | 309 +++++++++++----------
 po/mai.po         | 309 +++++++++++----------
 po/mg.po          | 309 +++++++++++----------
 po/mk.po          | 311 +++++++++++----------
 po/ml.po          | 309 +++++++++++----------
 po/mn.po          | 309 +++++++++++----------
 po/mr.po          | 311 +++++++++++----------
 po/ms.po          | 313 +++++++++++----------
 po/nb.po          | 313 +++++++++++----------
 po/nds.po         | 309 +++++++++++----------
 po/ne.po          | 309 +++++++++++----------
 po/nl.po          | 311 +++++++++++----------
 po/nn.po          | 309 +++++++++++----------
 po/oc.po          | 406 ++++++++++++++-------------
 po/or.po          | 309 +++++++++++----------
 po/pa.po          | 309 +++++++++++----------
 po/pl.po          | 326 +++++++++++-----------
 po/ps.po          | 309 +++++++++++----------
 po/pt.po          | 313 +++++++++++----------
 po/pt_BR.po       | 312 +++++++++++----------
 po/ro.po          | 311 +++++++++++----------
 po/ru.po          | 311 +++++++++++----------
 po/sc.po          | 798 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/si.po          | 309 +++++++++++----------
 po/sk.po          | 311 +++++++++++----------
 po/sl.po          | 309 +++++++++++----------
 po/sq.po          | 311 +++++++++++----------
 po/sr.po          | 311 +++++++++++----------
 po/sr@latin.po    | 311 +++++++++++----------
 po/sv.po          | 314 +++++++++++----------
 po/ta.po          | 309 +++++++++++----------
 po/te.po          | 310 +++++++++++----------
 po/th.po          | 309 +++++++++++----------
 po/tr.po          | 311 +++++++++++----------
 po/tt.po          | 795 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ug.po          | 309 +++++++++++----------
 po/uk.po          | 346 ++++++++++++-----------
 po/ur.po          | 309 +++++++++++----------
 po/uz.po          | 311 +++++++++++----------
 po/vi.po          | 309 +++++++++++----------
 po/wa.po          | 309 +++++++++++----------
 po/xh.po          | 309 +++++++++++----------
 po/zh_CN.po       | 330 +++++++++++-----------
 po/zh_HK.po       | 309 +++++++++++----------
 po/zh_TW.po       | 311 +++++++++++----------
 po/zu.po          | 460 +++++++++++++++++--------------
 108 files changed, 19025 insertions(+), 15703 deletions(-)

commit a31c3a077134bad09467adb47c895fb229b34917
Author: raveit65 <mate@raveit.de>
Date:   Thu Aug 5 09:23:33 2021 +0200

    tx: update resource

 mate-screensaver.pot | 51 ++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 36 insertions(+), 15 deletions(-)

commit 8a6c806f2e86e06b938666beabf0e103a05bfb2f
Author: raveit65 <mate@raveit.de>
Date:   Thu Aug 5 09:21:49 2021 +0200

    travis-Ci: use libera.chat as notification server

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a7a0c1cc6f76b2c5d844bbbd32dad70d4f7473e8
Author: Eugene San (eugenesan) <eugenesan@gmail.com>
Date:   Sun Jun 6 07:50:26 2021 -0700

    Allow change of time and date formats on lock screen v4

 data/org.mate.screensaver.gschema.xml.in | 10 ++++++++
 src/gs-lock-plug.c                       | 42 +++++++++++++++++++++++++++++---
 2 files changed, 49 insertions(+), 3 deletions(-)

commit 7ffbcab9ca98bddef8bc5170210aa9a9dacf13dd
Author: raveit65 <mate@raveit.de>
Date:   Tue Jun 22 19:37:31 2021 +0200

    tx: update resource

 mate-screensaver.pot | 258 +++++++++++++++++++++++++++------------------------
 1 file changed, 135 insertions(+), 123 deletions(-)

commit 5bbd273b2992cecb777fbfd1db1fb02ffe606bec
Author: raveit65 <mate@raveit.de>
Date:   Tue Jun 22 19:35:05 2021 +0200

    update copyright to 2021

 savers/floaters.c                  | 1 +
 savers/gs-theme-engine.c           | 1 +
 savers/gs-theme-engine.h           | 1 +
 savers/gs-theme-window.c           | 1 +
 savers/gs-theme-window.h           | 1 +
 savers/gste-popsquares.c           | 1 +
 savers/gste-popsquares.h           | 1 +
 savers/gste-slideshow.c            | 1 +
 savers/gste-slideshow.h            | 1 +
 savers/popsquares.c                | 1 +
 savers/slideshow.c                 | 1 +
 savers/xdg-user-dir-lookup.c       | 1 +
 savers/xdg-user-dir-lookup.h       | 1 +
 src/copy-theme-dialog.c            | 1 +
 src/copy-theme-dialog.h            | 1 +
 src/gs-auth-bsdauth.c              | 1 +
 src/gs-auth-helper.c               | 1 +
 src/gs-auth-pam.c                  | 1 +
 src/gs-auth-pwent.c                | 1 +
 src/gs-auth.h                      | 1 +
 src/gs-debug.c                     | 1 +
 src/gs-debug.h                     | 1 +
 src/gs-fade.c                      | 1 +
 src/gs-fade.h                      | 1 +
 src/gs-grab-x11.c                  | 1 +
 src/gs-grab.h                      | 1 +
 src/gs-job.c                       | 1 +
 src/gs-job.h                       | 1 +
 src/gs-listener-dbus.c             | 1 +
 src/gs-listener-dbus.h             | 1 +
 src/gs-lock-plug.c                 | 1 +
 src/gs-lock-plug.h                 | 1 +
 src/gs-manager.c                   | 1 +
 src/gs-manager.h                   | 1 +
 src/gs-monitor.c                   | 1 +
 src/gs-monitor.h                   | 1 +
 src/gs-prefs.c                     | 1 +
 src/gs-prefs.h                     | 1 +
 src/gs-theme-manager.c             | 1 +
 src/gs-theme-manager.h             | 1 +
 src/gs-visual-gl.c                 | 1 +
 src/gs-visual-gl.h                 | 1 +
 src/gs-watcher-x11.c               | 1 +
 src/gs-watcher.h                   | 1 +
 src/gs-window-x11.c                | 1 +
 src/gs-window.h                    | 1 +
 src/mate-screensaver-command.c     | 1 +
 src/mate-screensaver-dialog.c      | 1 +
 src/mate-screensaver-gl-helper.c   | 1 +
 src/mate-screensaver-preferences.c | 1 +
 src/mate-screensaver.c             | 1 +
 src/mate-screensaver.h             | 1 +
 src/setuid.c                       | 1 +
 src/setuid.h                       | 1 +
 src/subprocs.c                     | 1 +
 src/subprocs.h                     | 1 +
 src/test-fade.c                    | 1 +
 src/test-passwd.c                  | 1 +
 src/test-watcher.c                 | 1 +
 src/test-window.c                  | 1 +
 60 files changed, 60 insertions(+)

commit d7b09d17e5590f073dcdb39a679039e458b98a73
Author: raveit65 <mate@raveit.de>
Date:   Sun May 30 16:45:26 2021 +0200

    travis-ci: use ubuntu focal as host system
    
    fixes build issues with fedora:latest (f34) tag.

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e9d4412986de80ff0bc0dea1547e40e2502c248b
Author: raveit65 <mate@raveit.de>
Date:   Sun Apr 25 13:29:01 2021 +0200

    travis: disable travis builds for ubuntu
    
    Sadly, there is a limit for free builds at docker.com
    See discussion
    https://github.com/orgs/mate-desktop/teams/core-team/discussions/25

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8443c8c37d9a9f509a5bbc7e0f508a212cc597c4
Author: raveit65 <mate@raveit.de>
Date:   Tue Mar 9 13:58:21 2021 +0100

    travis: build with mate-common-1.24.2 from repos

 .build.yml | 12 ------------
 1 file changed, 12 deletions(-)

commit de6c58b485ec064d34b7c080108d2cc4dfdd9659
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Feb 22 14:03:59 2021 +0100

    xdg-user-dir-lookup: missing include guard

 savers/xdg-user-dir-lookup.h | 5 +++++
 1 file changed, 5 insertions(+)

commit dfad698c6914d376f899c629c5805377c1766ec1
Author: raveit65 <mate@raveit.de>
Date:   Mon Feb 22 22:54:47 2021 +0100

    tx: temporarily disable build for ArchLinux

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0f7bf195aa52ed536131da85ced76118498f5bde
Author: raveit65 <mate@raveit.de>
Date:   Mon Feb 22 22:54:30 2021 +0100

    tx: use rolling tag for ubuntu

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dd0f9279eb831c49ac73b15f565bc9abcf9005ed
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Jan 31 20:52:34 2021 +0100

    i18n: Do not collect the translation for Icon (data folder)

 data/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 51e6322db5717c7baa9a517a19af163fbeed56a5
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Jan 15 18:18:39 2021 +0100

    i18n: Do not collect the translation for Icon

 src/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6291c1d42768ca16a92f70506ba31483ee725e0e
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Jan 15 18:05:39 2021 +0100

    i18n: Do not prepend 'GNU ' prefix to the package name

 po/Makevars | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 720e7b28cd442c77462659a76287479f8007597c
Author: Pjotr123 <pjotrvertaalt@gmail.com>
Date:   Wed Jan 13 19:24:54 2021 +0100

    Removed translation for icon file name
    
    Can't be corrected on Transifex....

 po/nl.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f3478fa996eda7bdf408475d40a9f671aee8ea16
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Jan 17 15:28:00 2021 +0100

    mate-screensaver.directory.desktop: The Encoding key is deprecated

 data/mate-screensaver.directory.desktop.in | 1 -
 1 file changed, 1 deletion(-)

commit 01bdaecbc1fcaabdcd30d00ea0001464e631f690
Author: rbuj <robert.buj@gmail.com>
Date:   Mon Dec 21 09:03:14 2020 +0100

    Remove warning -Wshadow

 savers/floaters.c                  | 69 +++++++++++++-------------------------
 src/mate-screensaver-dialog.c      | 10 +++---
 src/mate-screensaver-preferences.c | 15 ++++-----
 3 files changed, 36 insertions(+), 58 deletions(-)

commit 47b82dac66ee49d7b97827a28b3966503c8898bc
Author: rbuj <robert.buj@gmail.com>
Date:   Tue Dec 8 22:04:27 2020 +0100

    lock-dialog-default: fix deprecations reported by glade

 data/lock-dialog-default.ui | 180 +++++++++++++++++++++++---------------------
 1 file changed, 96 insertions(+), 84 deletions(-)

commit b8d191e38e666f8d462c195b89c68c280ee8cb1e
Author: raveit65 <mate@raveit.de>
Date:   Tue Dec 8 17:33:29 2020 +0100

    update issue template

 .github/issue_template.md | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit aecd77af5eaf347f6ed8ecc7527431a125ebc2b0
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Oct 16 11:24:05 2020 +0200

    Add Show/Hide password emblem in password entry

 data/lock-dialog-default.ui |  5 +++--
 src/gs-lock-plug.c          | 28 ++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+), 2 deletions(-)

commit 02881e81a290b630b8a2b7afe35376e1ea185ba8
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Oct 16 12:43:14 2020 +0200

    mate-screensaver-preferences: Show lock image preview on file chooser

 src/mate-screensaver-preferences.c | 82 +++++++++++++++++++++++++++++++++++++-
 1 file changed, 80 insertions(+), 2 deletions(-)

commit 497d60087f6a6c9d68f5d0225514edec811612c1
Author: raveit65 <mate@raveit.de>
Date:   Thu Aug 20 18:34:49 2020 +0200

    release 1.25.0

 NEWS         | 5 +++++
 configure.ac | 2 +-
 2 files changed, 6 insertions(+), 1 deletion(-)

commit c355872147618b3ea6af3cfbd363b8bbd8092e72
Author: raveit65 <mate@raveit.de>
Date:   Thu Aug 20 18:28:45 2020 +0200

    tx: sync with transifex

 po/LINGUAS  |   1 +
 po/el.po    |   2 +-
 po/eo.po    |   7 +-
 po/fa.po    |   2 +-
 po/fr.po    |   7 +-
 po/he.po    |  42 ++--
 po/hu.po    |   7 +-
 po/ia.po    | 448 +++++++++++++++++++---------------
 po/id.po    |  24 +-
 po/is.po    |   6 +-
 po/it.po    |  99 ++++----
 po/kab.po   | 783 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ky.po    |   2 +-
 po/nb.po    |   2 +-
 po/nl.po    |   2 +-
 po/nn.po    |   2 +-
 po/oc.po    | 159 +++++++-----
 po/pt.po    |  26 +-
 po/pt_BR.po |   9 +-
 po/ru.po    |  25 +-
 po/sk.po    |   2 +-
 po/sr.po    |  42 ++--
 po/sv.po    |  13 +-
 po/ug.po    |   7 +-
 po/uk.po    |  11 +-
 po/zh_CN.po |   4 +-
 26 files changed, 1310 insertions(+), 424 deletions(-)

commit 4f09ec99425dd13807b8849c11f863587ecb069b
Author: raveit65 <mate@raveit.de>
Date:   Thu Aug 20 18:20:28 2020 +0200

    tx: update resource

 mate-screensaver.pot | 187 ++++++++++++++++++++++++++-------------------------
 1 file changed, 96 insertions(+), 91 deletions(-)

commit 4109abbb4d939b0e6c73b0c3875863a5edaf614c
Author: Pablo Barciela <scow@riseup.net>
Date:   Fri Jul 24 09:19:07 2020 +0200

    Travis CI: enable irc notifications with tagged commits

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fa27d730fa8c5ac55207cea2693e93ab86df8031
Author: raveit65 <mate@raveit.de>
Date:   Sat Jun 27 14:34:30 2020 +0200

    CI: fix typo

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 883b5389918fb4b27627c2af617ed2d386e9dfc1
Author: raveit65 <mate@raveit.de>
Date:   Sat Jun 27 13:38:59 2020 +0200

    CI: fix releasing tarballs

 .travis.yml | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit f274224f9127aad46b2c5e2b46a3c449be6d3aad
Author: tamplan <tamplan@free.fr>
Date:   Sun May 24 10:31:40 2020 +0200

    add git.mk to generate .gitignore

 Makefile.am                    |   1 +
 data/Makefile.am               |   2 +
 data/images/Makefile.am        |   2 +
 data/images/cosmos/Makefile.am |   2 +
 doc/Makefile.am                |   2 +
 git.mk                         | 400 +++++++++++++++++++++++++++++++++++++++++
 savers/Makefile.am             |   2 +
 src/Makefile.am                |   2 +
 8 files changed, 413 insertions(+)

commit ea6b155584a3c3bc58e07354299d835d040d2f00
Author: Luke Horwell <code@horwell.me>
Date:   Sat May 16 16:08:07 2020 +0100

    Fix invalid gnome-logo-white.svg
    
    This prevented the "Floating GNOME" screensaver from working on MATE
    1.24

 data/images/gnome-logo-white.svg | 19 +++++++------------
 1 file changed, 7 insertions(+), 12 deletions(-)

commit e21739d33b90400dc29fbf971206782a4e622dd7
Author: Pablo Barciela <scow@riseup.net>
Date:   Thu Apr 30 04:49:04 2020 +0200

    Travis CI: enable irc notifications with broken builds

 .travis.yml | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 84b2c38bbba21203bbd3f5a41c24bca8546c3c5a
Author: Pablo Barciela <scow@riseup.net>
Date:   Thu Apr 30 04:47:59 2020 +0200

    Travis CI: debian build: add clang compiler

 .build.yml | 8 ++++++++
 1 file changed, 8 insertions(+)

commit ad1fb8366c9835e85cba917046da849c97ff32b4
Author: Pablo Barciela <scow@riseup.net>
Date:   Thu Apr 30 04:46:18 2020 +0200

    Travis CI: debian build: add -Wsign-compare -Wunused-parameter to CFLAGS

 .build.yml | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit 9c9c5758aab4fa239455b00b2ca5d24f63a7290d
Author: Pablo Barciela <scow@riseup.net>
Date:   Thu Apr 30 04:42:17 2020 +0200

    Travis CI: remove patch for debian

 .build.yml | 4 ----
 1 file changed, 4 deletions(-)

commit 89794bc30da4bef1a5c2f2a9f9aa83dddf24fd1d
Author: raveit65 <mate@raveit.de>
Date:   Tue Apr 21 22:06:28 2020 +0200

    ci: don't run configure with autogen.sh

 .build.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ec9c6c92f38e82ae22afe53096dc2189cd11fdfa
Author: raveit65 <mate@raveit.de>
Date:   Tue Apr 21 22:05:45 2020 +0200

    build: silent build warnings for distcheck

 Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit f8ce283d478e681dacfe21718fc5d618bd5a8cea
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Mar 15 13:14:52 2020 +0100

    gs-lock-plug: remove function casting

 src/gs-lock-plug.c | 20 ++++++++++++--------
 1 file changed, 12 insertions(+), 8 deletions(-)

commit 2beb5d4fc7d18e63a633b7a3a5ccfda9c2746d3f
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Mar 15 11:40:34 2020 +0100

    Remove function casting for g_idle_add (function, data)

 src/gs-auth-pam.c                  |  5 +++--
 src/gs-manager.c                   |  6 ++++--
 src/gs-window-x11.c                | 10 +++++-----
 src/mate-screensaver-command.c     |  5 +++--
 src/mate-screensaver-dialog.c      | 20 ++++++++++++--------
 src/mate-screensaver-preferences.c |  3 ++-
 6 files changed, 29 insertions(+), 20 deletions(-)

commit 876e72b42595f60fcc134ed5c9e9d36a9ad2b938
Author: rbuj <robert.buj@gmail.com>
Date:   Fri Apr 10 16:17:02 2020 +0200

    build: do not override the default value for MATE_COMPILE_WARNINGS

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 344cc22f4ce85dfaf7256b2db7e530741bc29156
Author: rbuj <robert.buj@gmail.com>
Date:   Sun Mar 15 22:36:39 2020 +0100

    Custom background image for lock screen

 configure.ac                             |  1 -
 data/Makefile.am                         |  3 ++
 data/mate-screensaver-preferences.ui     | 61 ++++++++++++++++++++++++++++++--
 data/org.mate.screensaver.gschema.xml.in |  7 +++-
 src/gs-manager.c                         | 20 ++++++++++-
 src/mate-screensaver-preferences.c       | 15 ++++++++
 6 files changed, 102 insertions(+), 5 deletions(-)

commit 9f3cc047877e01dc158e365850ea22d896815d0e
Author: raveit65 <mate@raveit.de>
Date:   Thu Apr 9 20:14:02 2020 +0200

    ci: fix a typo

 .travis.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c8acda56e76115648e56ae22ebd33b71cf5e8d0b
Author: raveit65 <mate@raveit.de>
Date:   Thu Apr 9 19:43:01 2020 +0200

    ci: variables, drop obsolete Warn_Cflags

 .build.yml | 1 -
 1 file changed, 1 deletion(-)

commit 0ff89dd460848c43b31c64bb3a4f2641fa45a683
Author: raveit65 <mate@raveit.de>
Date:   Thu Apr 9 19:39:36 2020 +0200

    ci: remove --enable-compile-warnings=maximum from autogen.sh command

 .build.yml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f8265566851f3650589416442786b691f6f4bd65
Author: raveit65 <mate@raveit.de>
Date:   Thu Apr 9 19:38:20 2020 +0200

    ci: build with mate-common-1.24.1 tarball

 .build.yml | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit a1c7a7daa744922182d0f90ef39add7314663522
Author: raveit65 <mate@raveit.de>
Date:   Thu Apr 9 19:35:57 2020 +0200

    ci: update build environment

 .travis.yml | 30 ++++++++++++++++--------------
 1 file changed, 16 insertions(+), 14 deletions(-)

commit c7751015dd352309359bbc5dee6511038174ed92
Author: Pablo Barciela <scow@riseup.net>
Date:   Sat Mar 21 17:15:12 2020 +0100

    Travis CI: ubuntu build: add gcc

 .build.yml | 1 +
 1 file changed, 1 insertion(+)

commit b831925fdce64ccce43f4d1abd13b3c608d6f42b
Author: Pablo Barciela <scow@riseup.net>
Date:   Sat Mar 21 16:15:27 2020 +0100

    Travis CI: use Ubuntu devel instead 19.10

 .travis.yml | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 242b68ceddb217a42547d578898be841dca2f4a3
Author: rbuj <robert.buj@gmail.com>
Date:   Thu Feb 27 22:38:43 2020 +0100

    Remove warnings: cast between incompatible function types

 configure.ac                       |  2 +-
 src/copy-theme-dialog.c            |  6 ++----
 src/gs-auth-pam.c                  | 11 +++++++----
 src/gs-lock-plug.c                 |  2 +-
 src/gs-manager.c                   |  3 +--
 src/gs-prefs.c                     |  6 ++----
 src/mate-screensaver-dialog.c      |  6 +++---
 src/mate-screensaver-preferences.c |  3 +--
 8 files changed, 18 insertions(+), 21 deletions(-)

commit ec8db2297fc1d435d26de2006b429b1e6ffdc8a3
Author: rbuj <robert.buj@gmail.com>
Date:   Thu Feb 6 17:05:37 2020 +0100

    Remove warning function declaration isn’t a prototype

 .build.yml                                   |  183 ++
 .github/FUNDING.yml                          |    9 +
 .github/issue_template.md                    |   19 +
 .travis.yml                                  |   60 +
 .tx/config                                   |    9 +
 AUTHORS                                      |    7 +
 COPYING                                      |  339 ++++
 COPYING.LIB                                  |  481 +++++
 ChangeLog                                    |    2 +
 Makefile.am                                  |   63 +
 NEWS                                         |  174 ++
 README                                       |   44 +
 autogen.sh                                   |   24 +
 configure.ac                                 | 1172 ++++++++++++
 data/Makefile.am                             |  107 ++
 data/images/Makefile.am                      |   15 +
 data/images/cosmos/CREDITS                   |   29 +
 data/images/cosmos/Makefile.am               |   56 +
 data/images/cosmos/background-1.xml.in       |   92 +
 data/images/cosmos/blue-marble-west.jpg      |  Bin 0 -> 456110 bytes
 data/images/cosmos/cloud.jpg                 |  Bin 0 -> 1314514 bytes
 data/images/cosmos/comet.jpg                 |  Bin 0 -> 141297 bytes
 data/images/cosmos/cosmos.xml.in.in          |   11 +
 data/images/cosmos/earth-horizon.jpg         |  Bin 0 -> 210180 bytes
 data/images/cosmos/galaxy-ngc3370.jpg        |  Bin 0 -> 460107 bytes
 data/images/cosmos/helix-nebula.jpg          |  Bin 0 -> 138039 bytes
 data/images/cosmos/jupiter.jpg               |  Bin 0 -> 44528 bytes
 data/images/cosmos/sombrero.jpg              |  Bin 0 -> 552723 bytes
 data/images/cosmos/whirlpool.jpg             |  Bin 0 -> 1059826 bytes
 data/images/gnome-logo-white.svg             |   14 +
 data/images/mate-logo-white.svg              |  128 ++
 data/lock-dialog-default.ui                  |  424 +++++
 data/mate-screensaver                        |   15 +
 data/mate-screensaver-command.1              |   70 +
 data/mate-screensaver-preferences.1          |   50 +
 data/mate-screensaver-preferences.desktop.in |   16 +
 data/mate-screensaver-preferences.ui         |  525 ++++++
 data/mate-screensaver.1                      |   67 +
 data/mate-screensaver.directory.desktop.in   |    9 +
 data/mate-screensaver.pc.in                  |   18 +
 data/mate-screensavers.menu.in               |   20 +
 data/migrate-xscreensaver-config.sh          |   34 +
 data/org.mate.ScreenSaver.service.in         |    3 +
 data/org.mate.screensaver.gresource.xml      |   22 +
 data/org.mate.screensaver.gschema.xml.in     |   84 +
 data/xscreensaver-config.xsl                 |   27 +
 doc/Makefile.am                              |   27 +
 doc/config.xsl                               |    6 +
 doc/dbus-interface.xml                       |  488 +++++
 doc/docbook.css                              |   18 +
 doc/mate-screensaver.xml.in                  |   23 +
 its/wallpaper.its                            |   12 +
 its/wallpaper.loc                            |   10 +
 makepot                                      |    7 +
 mate-screensaver.pot                         |  768 ++++++++
 po/ChangeLog                                 | 2622 ++++++++++++++++++++++++++
 po/LINGUAS                                   |  108 ++
 po/Makevars                                  |   79 +
 po/POTFILES.in                               |   25 +
 po/POTFILES.skip                             |    7 +
 po/af.po                                     |  784 ++++++++
 po/am.po                                     |  783 ++++++++
 po/ar.po                                     |  810 ++++++++
 po/as.po                                     |  791 ++++++++
 po/ast.po                                    |  832 ++++++++
 po/az.po                                     |  783 ++++++++
 po/be.po                                     |  821 ++++++++
 po/bg.po                                     |  839 ++++++++
 po/bn.po                                     |  823 ++++++++
 po/bn_IN.po                                  |  823 ++++++++
 po/br.po                                     |  806 ++++++++
 po/bs.po                                     |  787 ++++++++
 po/ca.po                                     |  842 +++++++++
 po/ca@valencia.po                            |  840 +++++++++
 po/cmn.po                                    |  780 ++++++++
 po/crh.po                                    |  817 ++++++++
 po/cs.po                                     |  838 ++++++++
 po/cy.po                                     |  808 ++++++++
 po/da.po                                     |  822 ++++++++
 po/de.po                                     |  846 +++++++++
 po/dz.po                                     |  833 ++++++++
 po/el.po                                     |  842 +++++++++
 po/en_AU.po                                  |  817 ++++++++
 po/en_CA.po                                  |  800 ++++++++
 po/en_GB.po                                  |  819 ++++++++
 po/eo.po                                     |  785 ++++++++
 po/es.po                                     |  844 +++++++++
 po/es_AR.po                                  |  786 ++++++++
 po/es_CO.po                                  |  787 ++++++++
 po/es_MX.po                                  |  784 ++++++++
 po/et.po                                     |  820 ++++++++
 po/eu.po                                     |  819 ++++++++
 po/fa.po                                     |  820 ++++++++
 po/fi.po                                     |  814 ++++++++
 po/fr.po                                     |  846 +++++++++
 po/fr_CA.po                                  |  734 +++++++
 po/frp.po                                    |  783 ++++++++
 po/fur.po                                    |  734 +++++++
 po/fy.po                                     |  783 ++++++++
 po/ga.po                                     |  793 ++++++++
 po/gl.po                                     |  838 ++++++++
 po/gnome-copyrights.txt                      |  939 +++++++++
 po/gu.po                                     |  821 ++++++++
 po/he.po                                     |  818 ++++++++
 po/hi.po                                     |  811 ++++++++
 po/hr.po                                     |  832 ++++++++
 po/hu.po                                     |  828 ++++++++
 po/hy.po                                     |  824 ++++++++
 po/ia.po                                     |  734 +++++++
 po/id.po                                     |  824 ++++++++
 po/ie.po                                     |  783 ++++++++
 po/is.po                                     |  815 ++++++++
 po/it.po                                     |  840 +++++++++
 po/ja.po                                     |  800 ++++++++
 po/ka.po                                     |  801 ++++++++
 po/kk.po                                     |  783 ++++++++
 po/kn.po                                     |  827 ++++++++
 po/ko.po                                     |  796 ++++++++
 po/ku.po                                     |  806 ++++++++
 po/ku_IQ.po                                  |  783 ++++++++
 po/ky.po                                     |  781 ++++++++
 po/lt.po                                     |  834 ++++++++
 po/lv.po                                     |  820 ++++++++
 po/mai.po                                    |  811 ++++++++
 po/mg.po                                     |  815 ++++++++
 po/mk.po                                     |  820 ++++++++
 po/ml.po                                     |  845 +++++++++
 po/mn.po                                     |  803 ++++++++
 po/mr.po                                     |  809 ++++++++
 po/ms.po                                     |  827 ++++++++
 po/nb.po                                     |  816 ++++++++
 po/nds.po                                    |  826 ++++++++
 po/ne.po                                     |  816 ++++++++
 po/nl.po                                     |  844 +++++++++
 po/nn.po                                     |  807 ++++++++
 po/oc.po                                     |  785 ++++++++
 po/or.po                                     |  826 ++++++++
 po/pa.po                                     |  809 ++++++++
 po/pl.po                                     |  842 +++++++++
 po/ps.po                                     |  784 ++++++++
 po/pt.po                                     |  842 +++++++++
 po/pt_BR.po                                  |  838 ++++++++
 po/ro.po                                     |  821 ++++++++
 po/ru.po                                     |  842 +++++++++
 po/rw.po                                     |  734 +++++++
 po/si.po                                     |  787 ++++++++
 po/sk.po                                     |  835 ++++++++
 po/sl.po                                     |  831 ++++++++
 po/sq.po                                     |  810 ++++++++
 po/sr.po                                     |  819 ++++++++
 po/sr@latin.po                               |  817 ++++++++
 po/sv.po                                     |  826 ++++++++
 po/ta.po                                     |  807 ++++++++
 po/te.po                                     |  811 ++++++++
 po/th.po                                     |  809 ++++++++
 po/tr.po                                     |  831 ++++++++
 po/ug.po                                     |  780 ++++++++
 po/uk.po                                     |  831 ++++++++
 po/ur.po                                     |  785 ++++++++
 po/uz.po                                     |  781 ++++++++
 po/vi.po                                     |  824 ++++++++
 po/wa.po                                     |  783 ++++++++
 po/xh.po                                     |  783 ++++++++
 po/zh_CN.po                                  |  789 ++++++++
 po/zh_HK.po                                  |  789 ++++++++
 po/zh_TW.po                                  |  791 ++++++++
 po/zu.po                                     |  734 +++++++
 savers/Makefile.am                           |  151 ++
 savers/cosmos-slideshow.desktop.in.in        |   12 +
 savers/floaters.c                            | 1236 ++++++++++++
 savers/footlogo-floaters.desktop.in.in       |   12 +
 savers/gnomelogo-floaters.desktop.in.in      |   12 +
 savers/gs-theme-engine-marshal.list          |    1 +
 savers/gs-theme-engine.c                     |  187 ++
 savers/gs-theme-engine.h                     |   88 +
 savers/gs-theme-window.c                     |  182 ++
 savers/gs-theme-window.h                     |   72 +
 savers/gste-popsquares.c                     |  602 ++++++
 savers/gste-popsquares.h                     |   57 +
 savers/gste-slideshow.c                      | 1050 +++++++++++
 savers/gste-slideshow.h                      |   69 +
 savers/personal-slideshow.desktop.in.in      |   12 +
 savers/popsquares.c                          |   72 +
 savers/popsquares.desktop.in.in              |   12 +
 savers/slideshow.c                           |  142 ++
 savers/xdg-user-dir-lookup.c                 |  168 ++
 savers/xdg-user-dir-lookup.h                 |   28 +
 src/Makefile.am                              |  287 +++
 src/copy-theme-dialog.c                      |  511 +++++
 src/copy-theme-dialog.h                      |   56 +
 src/debug-screensaver.sh                     |   42 +
 src/gs-auth-bsdauth.c                        |  103 +
 src/gs-auth-helper.c                         |  213 +++
 src/gs-auth-pam.c                            |  832 ++++++++
 src/gs-auth-pwent.c                          |  291 +++
 src/gs-auth.h                                |   67 +
 src/gs-debug.c                               |  163 ++
 src/gs-debug.h                               |   71 +
 src/gs-fade.c                                |  943 +++++++++
 src/gs-fade.h                                |   79 +
 src/gs-grab-x11.c                            |  450 +++++
 src/gs-grab.h                                |   82 +
 src/gs-job.c                                 |  561 ++++++
 src/gs-job.h                                 |   69 +
 src/gs-listener-dbus.c                       | 2535 +++++++++++++++++++++++++
 src/gs-listener-dbus.h                       |   93 +
 src/gs-lock-plug.c                           | 2323 +++++++++++++++++++++++
 src/gs-lock-plug.h                           |   84 +
 src/gs-manager.c                             | 1950 +++++++++++++++++++
 src/gs-manager.h                             |  107 ++
 src/gs-marshal.list                          |    4 +
 src/gs-monitor.c                             |  482 +++++
 src/gs-monitor.h                             |   59 +
 src/gs-prefs.c                               |  621 ++++++
 src/gs-prefs.h                               |   87 +
 src/gs-theme-manager.c                       |  437 +++++
 src/gs-theme-manager.h                       |   67 +
 src/gs-visual-gl.c                           |  114 ++
 src/gs-visual-gl.h                           |   32 +
 src/gs-watcher-x11.c                         |  675 +++++++
 src/gs-watcher.h                             |   67 +
 src/gs-window-x11.c                          | 2574 +++++++++++++++++++++++++
 src/gs-window.h                              |  104 +
 src/mate-screensaver-command.c               |  554 ++++++
 src/mate-screensaver-dialog.c                |  606 ++++++
 src/mate-screensaver-gl-helper.c             |   79 +
 src/mate-screensaver-preferences.c           | 1737 +++++++++++++++++
 src/mate-screensaver.c                       |  127 ++
 src/mate-screensaver.desktop.in.in           |   17 +
 src/mate-screensaver.h                       |   34 +
 src/setuid.c                                 |  256 +++
 src/setuid.h                                 |   27 +
 src/subprocs.c                               |  166 ++
 src/subprocs.h                               |   40 +
 src/test-fade.c                              |  134 ++
 src/test-passwd.c                            |  283 +++
 src/test-watcher.c                           |  106 ++
 src/test-window.c                            |  179 ++
 238 files changed, 121038 insertions(+)
